Package org.apache.sysds.lops

# Enum Class MMTSJ.MMTSJType

java.lang.Object
java.lang.Enum<MMTSJ.MMTSJType>
org.apache.sysds.lops.MMTSJ.MMTSJType

All Implemented Interfaces:
  `Serializable`, `Comparable<MMTSJ.MMTSJType>`, `Constable`

Enclosing class:
  MMTSJ

public static enum MMTSJ.MMTSJType extends Enum<MMTSJ.MMTSJType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT`
`NONE`
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLeft()`
`boolean`
`isRight()`
`static MMTSJ.MMTSJType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MMTSJ.MMTSJType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final MMTSJ.MMTSJType NONE

### LEFT

public static final MMTSJ.MMTSJType LEFT

### RIGHT

public static final MMTSJ.MMTSJType RIGHT

## Method Details

### values

public static MMTSJ.MMTSJType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MMTSJ.MMTSJType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLeft

public boolean isLeft()

### isRight

public boolean isRight()